Subject: CSRF token is not appended for actions with mixed case characters
Description

Since the update (I don't know what exactly broke this), the CrsfProtectionAspect no longer appends the CSRF token when the target
action contains uppercase characters (e.g. someSpecialAction).

The reason is, that in the aspect the action method name is retrieved all lowercase thus ReflectionService::hasMethod($className,
$actionMethodName) returns FALSE if $actionMethodName is not correctly cased.

Related issues:
duplicated by TYPO3.Flow - Bug # 41524: csrfToken not added to action links h... Closed 2012-10-02

Associated revisions
Revision 9ea304b4 - 2012-10-17 16:56 - Bastian Waidelich

[BUGFIX] CSRF token is not appended for actions with mixed case characters

The CrsfProtectionAspect no longer appends the CSRF token when the
target action contains uppercase characters (e.g. someSpecialAction).

This change fixes this by resolving the correctly cased method name
before checking for the SkipCsrfToken annotation in the aspect.

Change-Id: I0675679b507ee3b0b10598603d61c2bf53d8e960
Fixes: #42083
Releases: 1.2

History
#1 - 2012-10-17 16:56 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15765

#2 - 2012-10-18 10:04 - Pankaj Lele

You may also relate this bug to earlier reported similar bug #41524 Thanks
#3 - 2012-10-18 10:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9ea304b4531e404112ae9c189554ef73057fa05b.
